abstract class TrackedType {
  int? id;
  String name;
  double amount;
  String description;

  TrackedType({
    this.id,
    required this.name,
    required this.amount,
    required this.description,
  });

  static String amountText = "Amount";
  String getAmountText() => amountText;

  @override
  String toString() {
    return toMap().toString();
  }

  Map<String, dynamic> toMap() {
    return {
      'id': id,
      'name': name,
      'amount': amount,
      'description': description,
    };
  }
}
